JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ type_name()
const char* nlohmann::basic_json::type_name | ( |  | ) | const
| inline noexcept
  Returns the type name as string to be used in error messages - usually to indicate that a function was called on a wrong JSON type. Returns a string representation of a the m_type member:
  Value type | return value
  --- | ---
  null | `"null"`
  boolean | `"boolean"`
  string | `"string"`
  number | `"number"` (for all number types)
  object | `"object"`
  array | `"array"`
  binary | `"binary"`
  discarded | `"discarded"`
  Exception safety No-throw guarantee: this function never throws exceptions. Complexity Constant. Example The following code exemplifies `type_name()` for all JSON types. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create JSON values 9 json j_null; 10 json j_boolean = true; 11 json j_number_integer = -17; 12 json j_number_unsigned = 42u; 13 json j_number_float = 23.42; 14 json j_object = {{"one", 1}, {"two", 2}}; 15 json j_array = {1, 2, 4, 8, 16}; 16 json j_string = "Hello, world"; 17 18 // call type_name() 19 std::cout << j_null << " is a " << j_null.type_name() << '\n'; 20 std::cout << j_boolean << " is a " << j_boolean.type_name() << '\n'; 21 std::cout << j_number_integer << " is a " << j_number_integer.type_name() << '\n'; 22 std::cout << j_number_unsigned << " is a " << j_number_unsigned.type_name() << '\n'; 23 std::cout << j_number_float << " is a " << j_number_float.type_name() << '\n'; 24 std::cout << j_object << " is an " << j_object.type_name() << '\n'; 25 std::cout << j_array << " is an " << j_array.type_name() << '\n'; 26 std::cout << j_string << " is a " << j_string.type_name() << '\n'; 27 } Output (play with this example online):
      null is a null
      true is a boolean
      -17 is a number
      42 is a number
      23.42 is a number
      {"one":1,"two":2} is an object
      [1,2,4,8,16] is an array
      "Hello, world" is a string
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/type_name.cpp -o type_name
See also type() – return the type of the JSON value operator value_t() – return the type of the JSON value (implicit) Since version 1.0.0, public since 2.1.0, `const char*` and `noexcept` since 3.0.0 Definition at line 22688 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774